repo/gentoo:master commit in: app-containers/docker-credential-helpers/

"Arthur Zamarin" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786045314.5b22d92029c1e4e6f7d8f6b49fb2acd8451e749f.arthurzam@gentoo>
commit:     5b22d92029c1e4e6f7d8f6b49fb2acd8451e749f
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Thu Aug  6 19:41:54 2026 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Thu Aug  6 19:41:54 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b22d920

app-containers/docker-credential-helpers: add 0.9.8

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 app-containers/docker-credential-helpers/Manifest  |  1 +
 .../docker-credential-helpers-0.9.8.ebuild         | 55 ++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/app-containers/docker-credential-helpers/Manifest b/app-containers/docker-credential-helpers/Manifest
index 3b8421432c95..0200f125812f 100644
--- a/app-containers/docker-credential-helpers/Manifest
+++ b/app-containers/docker-credential-helpers/Manifest
@@ -1,2 +1,3 @@
 DIST docker-credential-helpers-0.9.3.tar.gz 295607 BLAKE2B 4b59acf426cba27abe0f024b9479331f967bece8fd97bf3104ffcf17fc3a1f02e8248142177a19325a8941e71e5f26acc5fbdc1daa067e47ca29a98bb60af8c4 SHA512 01f58de113a402319e2695aba140322be13b03d234e2582c438735e178dfb999fa6e15abfcef4431490b2def87e7d1cb27d6ae855d348f30a878caf21d7f9a02
 DIST docker-credential-helpers-0.9.7.tar.gz 295449 BLAKE2B 6a02deb0031dfac2ef9f194b00f7e4b26391876091bcd6439192965e2373d7fbefea76ced069cc49f8e807dce75f00594f38d5c7585d8f7d1c890edd1f610a69 SHA512 cacfc2c7d68667df4a3e45bcb27a11e461734772a96cf6d0e7f4d91ccac745caccc311e12edfda3841ded7531b98c7d66c79fafd30e099094d40eb14c8030feb
+DIST docker-credential-helpers-0.9.8.tar.gz 295446 BLAKE2B fb704caf4c1d1fb1004650e10b9966acf75e238cc64be58e9375b988c13a18985b2f86300472eccddda649204167058330707d930b6688cdd01aee9b8d4b11c1 SHA512 9485e12c4b5e8fc44248d3777409220e39aa7a3b196cf57c9704bc8bba1cd98cf9dc92cef7095a4277b3e0f816ed180cdb286acb9d2b505458559e374dff91e4

diff --git a/app-containers/docker-credential-helpers/docker-credential-helpers-0.9.8.ebuild b/app-containers/docker-credential-helpers/docker-credential-helpers-0.9.8.ebuild
new file mode 100644
index 000000000000..456d6f7a44e4
--- /dev/null
+++ b/app-containers/docker-credential-helpers/docker-credential-helpers-0.9.8.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=9
+
+inherit go-module
+
+DESCRIPTION="Suite of programs to use native stores to keep Docker credentials safe"
+HOMEPAGE="https://github.com/docker/docker-credential-helpers"
+SRC_URI="https://github.com/docker/docker-credential-helpers/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+IUSE="keyring pass"
+REQUIRED_USE="|| ( keyring pass )"
+RESTRICT="test"
+
+DEPEND="keyring? ( app-crypt/libsecret )"
+RDEPEND="${DEPEND}
+	pass? ( app-admin/pass )
+"
+
+src_prepare() {
+	default
+	sed -e '/GO_LDFLAGS/s/ -s / /' -i Makefile || die
+}
+
+src_compile() {
+	local mymakeflags=(
+		VERSION="${PV}"
+		REVISION="v${PV}"
+	)
+	use keyring && mymakeflags+=( secretservice )
+	use pass && mymakeflags+=( pass )
+	emake -j1 "${mymakeflags[@]}"
+}
+
+src_install() {
+	dobin bin/build/*
+	dodoc MAINTAINERS README.md
+}
+
+pkg_postinst() {
+	if use keyring; then
+		elog "For keyring/kwallet add:\n"
+		elog '		"credStore": "secretservice"'"\n"
+	fi
+	if use pass; then
+		elog "For 'pass' add:\n"
+		elog '		"credStore": "pass"'"\n"
+	fi
+	elog "to your ~/.docker/config.json"
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.